Subject: Re: bug#52435: 29.0.50; C-y seems to contain an old contents

From: Peter Dyballa <[email-masked]>
Date: Tue, 14 Dec 2021 15:02:07 +0100

Am 14.12.2021 um 11:59 schrieb Michael Heerdegen:

>> I don't think that I have a particular configuration, except
>> (transient-mark-mode t). As I wrote on Sunday, a few older  
>> versions of
>> GNU Emacs show the same behaviour. On a decades old PowerBook I could
>> check the behaviour of much older Emacsen and report here.
>
> That would be interesting.

When launched normally or launched with just -Q this version does it  
right, it clears the marked region when I visit the other buffer,  
*Shell Command Output*, which opened in the lower half of *shell*  
buffer – actually the mark was cleared as soon as the shell command  
had completed and the buffer was split:

	In GNU Emacs 24.5.1 (powerpc-apple-darwin8.11.0, X toolkit, Xaw3d  
scroll bars)
	 of 2019-11-27 on tiger
	Windowing system distributor `The X.Org Foundation', version  
11.0.12009000
	Configured using:
	 `configure --without-pop --without-sound --without-gpm --without-dbus
	 --without-gconf --without-gsettings --without-selinux --without-xim
	 --without-ns --without-mac --with-x --with-x-toolkit=athena
	 --disable-acl --disable-ns-self-contained --x-libraries=/opt/local/lib
	 --x-includes=/opt/local/include
	 '--enable-locallisppath=/Library/Application
	 Support/Emacs/calendar24:/Library/Application Support/Emacs'  
'CFLAGS=-H
	 -pipe -fPIC -fno-common -Os -fobjc-exceptions -fexceptions -maltivec
	 -faltivec -mabi=altivec -mcpu=7450 -mtune=7450'
	 'LDFLAGS=-Wl,-bind_at_load -Wl,-t'
	 PKG_CONFIG_PATH=/opt/local/lib/pkgconfig:/opt/local/share/ 
pkgconfig:/usr/X11/lib/pkgconfig:/usr/X11/share/pkgconfig:/usr/lib/ 
pkgconfig'
	
	Important settings:
	  value of $LC_CTYPE: de_DE.UTF-8
	  value of $LANG: de_DE.UTF-8
	  locale-coding-system: utf-8-unix
	
	Major mode: Shell
	
	Minor modes in effect:
	  shell-dirtrack-mode: t
	  tooltip-mode: t
	  electric-indent-mode: t
	  mouse-wheel-mode: t
	  tool-bar-mode: t
	  menu-bar-mode: t
	  file-name-shadow-mode: t
	  global-font-lock-mode: t
	  font-lock-mode: t
	  blink-cursor-mode: t
	  auto-composition-mode: t
	  auto-encryption-mode: t
	  auto-compression-mode: t
	  line-number-mode: t
	  transient-mark-mode: t
	
	Recent messages:
	For information about GNU Emacs and the GNU system, type C-h C-a.
	Mark set
	Making completion list...
	You can run the command `shell-command-on-region' with M-|
	Quit
	Mark set
	Replaced 13 occurrences
	Mark set [2 times]
	No docstring slot for help-mode-setup
	No docstring slot for help-mode-finish
	
	Load-path shadows:
	None found.
	
	Features:
	(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822  
mml
	mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
	gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
	help-fns mail-prsvr mail-utils help-mode easymenu shell pcomplete  
comint
	ansi-color ring time-date tooltip electric uniquify ediff-hook vc-hooks
	lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image regexp- 
opt
	fringe tabulated-list newcomment lisp-mode prog-mode register page
	menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
	syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
	vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
	romanian slovak czech european ethiopic indian cyrillic chinese
	case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
	loaddefs button faces cus-face macroexp files text-properties overlay
	sha1 md5 base64 format env code-pages mule custom widget
	hashtable-print-readable backquote gfilenotify dynamic-setting
	font-render-setting x-toolkit x multi-tty make-network-process emacs)

This elder version shows a different behaviour, keeping the region  
high-lighted but clearing it lately when I finally type C-y after  
returning to *shell* buffer and pressing Esc-> so that it inserts the  
killed line from *Shell Command Output* at the propmt:

	In GNU Emacs 23.4.1 (powerpc-apple-darwin8.11.0, GTK+ Version 2.18.9)
	 of 2012-11-23 on Latsche.local
	Windowing system distributor `The X.Org Foundation', version  
11.0.12009000
	configured using `configure  '--without-pop' '--without-sound' '-- 
without-gpm' '--without-dbus' '--without-xim' '--with-x' '--disable- 
ns-self-contained' '--x-libraries=/usr/X11R6/lib' '--x-includes=/usr/ 
X11R6/include' '--enable-locallisppath=/Library/Application Support/ 
Emacs/calendar23:/Library/Application Support/Emacs' 'CFLAGS=-g - 
ggdb3 -H -pipe -fPIC -fno-common -Os -mcpu=7450 -mtune=7450 -maltivec  
-faltivec -mabi=altivec -malign-natural' 'CC=gcc-apple-4.2' 'CXX=g++- 
apple-4.2' 'CPPFLAGS=-I/sw/include' 'LDFLAGS=-L/sw/lib -v -Wl,-v -Wl,- 
bind_at_load -Wl,-t' 'PKG_CONFIG_PATH=/sw/lib/pkgconfig:/sw/share/ 
pkgconfig:/usr/X11/lib/pkgconfig:/usr/lib/pkgconfig:/usr/lib/pkgconfig''
	
	Important settings:
	  value of $LC_ALL: nil
	  value of $LC_COLLATE: nil
	  value of $LC_CTYPE: de_DE.UTF-8
	  value of $LC_MESSAGES: nil
	  value of $LC_MONETARY: nil
	  value of $LC_NUMERIC: nil
	  value of $LC_TIME: nil
	  value of $LANG: de_DE.UTF-8
	  value of $XMODIFIERS: nil
	  locale-coding-system: utf-8-unix
	  default enable-multibyte-characters: t
	
	Major mode: Shell
	
	Minor modes in effect:
	  shell-dirtrack-mode: t
	  tooltip-mode: t
	  mouse-wheel-mode: t
	  tool-bar-mode: t
	  menu-bar-mode: t
	  file-name-shadow-mode: t
	  global-font-lock-mode: t
	  font-lock-mode: t
	  blink-cursor-mode: t
	  auto-encryption-mode: t
	  auto-compression-mode: t
	  line-number-mode: t
	  transient-mark-mode: t
	
	Recent input:
	<down-mouse-1> <mouse-1> M-x s h e l l <return> l <return>
	<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
	<up> <up> <up> <up> <up> <up> C-a C-SPC <up> <up> <up>
	<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
	<up> <up> <up> M-x s h e l l - c o m m <tab> - o n
	<tab> <return> a w k SPC ' { p r i n t SPC $ N F }
	' <return> C-x o M-x r e p l <tab> s t r <tab> <return>
	C-q C-j SPC <return> C-g M-x r e p l <tab> s t r <tab>
	<return> C-q C-j <return> SPC <return> <backspace>
	C-a C-k C-x 0 <escape> > C-y <help-echo> <help-echo>
	<help-echo> <help-echo> <help-echo> <help-echo> <menu-bar>
<help-menu> <send-emacs-bug-report>

--
Mit friedvollen Grüßen

   Pete     === -Q
              ==<__/% >>
________(_)____@_____________________________